{% extends 'base_template.html' %}

{% block contenu %}
<h1>Plugins</h1>
<p>
  Quelques plugins sont disponibles. Ajoutez-en au besoin!
</p>

<hr>

<form method="post">
  <select class="form-select mb-3" name="plugin" onchange="submit()">
    <option selected>Choisir le plugin</option>
    {% for plugin in plugins %}
    <option value="{{ plugin }}">{{ plugin }}</option>
    {% endfor %}
  </select>
</form>

{% if resultat %}
<div class="alert alert-info" role="alert">
  {{ resultat }}
</div>
{% endif %}




<p class="lead">
  Vous voulez contribuer? Ajoutez un plugin! Elle doit contenir une fonction <code>execution</code> et le résultat sera affiché à l'écran. Par exemple:
  <div class="card my-3 p-3">
    <div class="card-text">
      <code><pre class="m-0">import random
def execution():
    return random.random()</pre></code>
    </div>
  </div>

  <form action="{{ url_for('plugins_ajouter') }}" method="post" enctype="multipart/form-data">
    <input type="file" name="plugin" id="plugin" accept=".py" onchange="submit()">
  </form>
</p>


<div class="row justify-content-start">
  {% for user in users %}
  <div class="col-auto">
    <div class="card" style="width: 18rem;">
      <div class="card-body">
        <h5 class="card-title">{{ user.fullname }}</h5>
        <h6 class="card-subtitle mb-2 text-body-secondary">@{{ user.username }}</h6>
        <p class="card-text">{{ user.bio | safe }}
      </div>
    </div>
  </div>
  {% endfor %}
</div>

{% endblock %}